繁体   English   中英

无法使用pip或conda安装/更新软件包

Can't install/update packages using pip or conda

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我无法使用pip或conda install / update在终端上安装或更新任何软件包。 我的anaconda导航器也无法打开。

我相信我可能不知不觉地搞砸了我的conda env。 我尝试重新启动计算机并更新MacOS。

康达资讯

     active environment : base
    active env location : /Users/annaberman/anaconda3
            shell level : 1
       user config file : /Users/annaberman/.condarc
 populated config files : /Users/annaberman/.condarc
          conda version : 4.6.1
    conda-build version : 3.10.5
         python version : 3.6.5.final.0
       base environment : /Users/annaberman/anaconda3  (writable)
           channel URLs : https://repo.anaconda.com/pkgs/main/osx-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/free/osx-64
                          https://repo.anaconda.com/pkgs/free/noarch
                          https://repo.anaconda.com/pkgs/r/osx-64
                          https://repo.anaconda.com/pkgs/r/noarch
          package cache : /Users/annaberman/anaconda3/pkgs
                          /Users/annaberman/.conda/pkgs
       envs directories : /Users/annaberman/anaconda3/envs
                          /Users/annaberman/.conda/envs
               platform : osx-64
             user-agent : conda/4.6.1 requests/2.18.4 CPython/3.6.5 Darwin/17.7.0 OSX/10.13.6
                UID:GID : 501:20
             netrc file : None
           offline mode : False

错误讯息:

康达错误

$ conda install geopandas

Collecting package metadata: failed

CondaHTTPError: HTTP 000 CONNECTION FAILED for url <https://repo.anaconda.com/pkgs/r/noarch/repodata.json.bz2>
Elapsed: -

An HTTP error occurred when trying to retrieve this URL.
HTTP errors are often intermittent, and a simple retry will get you on your way.

If your current network has https://www.anaconda.com blocked, please file
a support request with your network engineering team.

SSLError(MaxRetryError('HTTPSConnectionPool(host=\'repo.anaconda.com\', port=443): Max retries exceeded with url: /pkgs/r/noarch/repodata.json.bz2 (Caused by SSLError("Can\'t connect to HTTPS URL because the SSL module is not available.",))',),)

点差

$ pip install geopandas

WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Collecting geopandas
  WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)': /simple/geopandas/
  WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)': /simple/geopandas/
  WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)': /simple/geopandas/
  WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)': /simple/geopandas/
  WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)': /simple/geopandas/
  Could not fetch URL https://pypi.org/simple/geopandas/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/geopandas/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)) - skipping
  ERROR: Could not find a version that satisfies the requirement geopandas (from versions: none)
ERROR: No matching distribution found for geopandas

Anaconda打开错误

$ anaconda-navigtor

Traceback (most recent call last):
  File "/Users/annaberman/anaconda3/bin/anaconda-navigator", line 11, in <module>
    sys.exit(main())
  File "/Users/annaberman/anaconda3/lib/python3.6/site-packages/anaconda_navigator/app/main.py", line 103, in main
    from anaconda_navigator.app.start import start_app
  File "/Users/annaberman/anaconda3/lib/python3.6/site-packages/anaconda_navigator/app/start.py", line 34, in <module>
    from anaconda_navigator.widgets.main_window import MainWindow
  File "/Users/annaberman/anaconda3/lib/python3.6/site-packages/anaconda_navigator/widgets/main_window.py", line 37, in <module>
    from anaconda_navigator.utils.analytics import GATracker
  File "/Users/annaberman/anaconda3/lib/python3.6/site-packages/anaconda_navigator/utils/analytics.py", line 44, in <module>
    from anaconda_navigator.external.UniversalAnalytics import Tracker
  File "/Users/annaberman/anaconda3/lib/python3.6/site-packages/anaconda_navigator/external/UniversalAnalytics/Tracker.py", line 28, in <module>
    from six.moves.urllib.request import (HTTPSHandler, Request, build_opener,
ImportError: cannot import name 'HTTPSHandler'
问题暂未有回复.您可以查看右边的相关问题.
1 无法在 Conda 环境中使用 pip 安装软件包

无法在 Conda 环境中使用 pip 安装软件包。 尝试 pip install 时出现超时。 尝试延长超时时,出现协议错误。 当尝试直接从 cli telnet 到 pypi.org 时,没有问题。 我的笔记本电脑或正在使用的代理上没有 fw 规则。 在我的文件系统上找不到任何特殊的 pip ...

4 “ conda导出”无法导出通过pip安装的软件包

我想使用untangle软件包,不幸的是,它无法通过conda进行安装,我必须使用pip进行安装。 当我使用conda export需求文件时,我发现需求文件不包含untangle ,是否有任何方法也可以将其包含在conda需求文件中并导出conda虚拟环境? 谢谢 ...

5 在conda / MacOS上使用pip安装mmh3软件包

因此,我尝试在MacOS上再次设置并安装需要mmh3的软件包。 当我到达那里时-我遇到了错误,出于所有意图和目的,对我来说可能也是另外一种语言。 搜索迄今已使我相信它是与苹果的Xcode的版本,我有我的机器上,但我已经找到了答案是完全没有意义的。 如果我只想打电话给pip install mmh ...

6 Conda没有显示使用pip安装的软件包

我在这里遵循本指南, https://spinningup.openai.com/en/latest/user/installation.html 我得到以下错误: 我已通过覆盖该错误 但是conda软件包列表中未显示所有未安装的软件包,看来这些软件包已安装在主要的 ...

7 使用Pip3和conda在Mac上安装软件包

我的Mac已经安装了Anaconda。 当我想安装软件包时,例如,jaqs。 我用 然后我用 看来我已经用pip3成功安装了jaqs 但是然后我在终端中输入python3,它是Anaconda中的python3.5,而不是System自包含的python3.5。 我输 ...

8 使用conda库安装pip软件包(aiortc)

我最近需要在aiortc virtualenv的群集计算机上安装aiortc 。 aiortc没有aiortc包,但是它的二进制依赖项(例如libopus)可以。 我试图按如下方式安装aiortc : 在构建aiortc.codecs C扩展名时失败,出现fatal error: o ...

9 conda列表未显示使用pip安装的软件包

我在Ubuntu上打开了命令提示符。 然后,我使用conda create -n newEnv python=3.6.9命令创建了一个新环境,然后使用conda activate newEnv命令激活了newEnv环境。 之后,我使用conda list命令看到了python=3.6.9随附 ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM